Bug 5883 - Localization fixes from Ramon
Localization fixes from Ramon
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: User Interface
2.3.4
PC Mac OS X 10.6
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 16:36 PDT by James MacGregor
Modified: 2011-06-28 16:06 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
patch against OCS 2.3.3-1 (7.20 KB, patch)
2011-06-28 16:04 PDT, James MacGregor
Details | Diff
Patch against OCS 2.3.3-1 (6.30 KB, patch)
2011-06-28 16:06 PDT, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-09-03 16:36:28 PDT
Check and fix the following: 

http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=6496&p=25160#p25148

http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=6496&p=25160#p25124

(Note: I'm going to wait until the translation process is done to do this for consistency's sake.)
Comment 1 Alec Smecher 2010-09-22 11:27:29 PDT
First item fixed; second under discussion in the forum still. Closing for the 2.3.3 release.
Comment 2 James MacGregor 2011-06-27 15:45:41 PDT
The fixes for this (see https://github.com/pkp/ojs/commit/86986e6c68af39972360f7db0e9546c34e23add0#plugins/importexport/native/locale/en_US/locale.xml) should also be applied to OCS where appropriate. (Alec, I'll take care of this.)
Comment 3 James MacGregor 2011-06-28 16:02:59 PDT
Some updates: 

Update in Master: 
https://github.com/pkp/ocs/commit/72c914fb22577b4a9b91288f6ed6b511d04cdb3f and 
https://github.com/pkp/ocs/commit/24e215b0840079313a759c5beddb6fbf922676af

Regarding the "Geographical" typo in plugins/importexport/native/locale/xx_XX/locale.xml: that already appears to have been fixed across the board in master, so I did nothing. 

Updates in stable: 
https://github.com/pkp/ocs/commit/003291aff301ee8a70c90e10c40f49a790c776a0 and
https://github.com/pkp/ocs/commit/6b6a0bb0c46ed35f1845f6c1fb6b35cf75a5e3b0

The latter already appears to have been fixed in master; I couldn't find a record of that fix though.
Comment 4 James MacGregor 2011-06-28 16:04:05 PDT
Created attachment 3581 [details]
patch against OCS 2.3.3-1
Comment 5 James MacGregor 2011-06-28 16:06:09 PDT
Created attachment 3582 [details]
Patch against OCS 2.3.3-1
Comment 6 James MacGregor 2011-06-28 16:06:38 PDT
Closing.